Get the ENERGY STAR metrics for a place.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| placeId | The place identifier | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| numberOfYears | The number of years to go back from most recent score. Defaults to 2 years. If 0 is provided, will only include current score. | integer (int32) | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
EnergyStarPlaceHierarchyResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| latestMetricsRetrievalStatus | The status of the latest metrics retrieval for this place | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| latestSubmissionDate | The date that the latest submission for this place occurred | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| latestSubmissionStatus | The status of the latest submission for this place | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| metrics | ENERGY STAR score data for the place If there are multiple places returned in the response, will be the most recent score | EnergyStarPlaceMetricsResponse[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
EnergyStarPlaceMetricsResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| place | PlaceChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeSize | PlaceSizeChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceSizeChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeSubmissionType | SubmissionTypeResponse | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
SubmissionTypeResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "latestMetricsRetrievalStatus": "string", "latestSubmissionDate": "2026-03-30", "latestSubmissionStatus": "string", "metrics": [
{ "calendarPeriod": 1, "dateReceived": "2026-03-30", "nationalMedianScore": 1, "nationalMedianSiteEnergyUseIntensity": 1.0, "pctDiffNationalMedianSiteEnergyUseIntensity": 1.0, "score": 1, "siteEnergyUse": 1.0, "siteEnergyUseIntensity": 1.0
}
], "place": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": { "icon": {}, "isSystemPlaceType": false, "placeEntityType": {}, "placeTypeCode": "string", "placeTypeId": 1, "placeTypeInfo": "string", "structure": false
}
}, "placeSize": { "beginDate": "2026-03-30", "endDate": "2026-03-30", "placeSizeId": 1, "unitCode": "string", "unitId": 1, "unitInfo": "string", "value": 1.0
}, "placeSubmissionType": { "submissionTypeId": 1, "submissionTypeName": "string"
}
}
204
No Content
The request succeeded. No content is returned in the response body.